
Installer - Refactor #37298

Drop setup plugin

03/26/2024 12:10 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/926,

https://github.com/theforeman/foreman-i

nstaller/pull/927

  

Description

Per https://community.theforeman.org/t/retire-foreman-setup-plugin/36594 this plugin is unmaintained and largely broken.

Related issues:

Blocks Packaging - Refactor #37212: Retire foreman_setup plugin Ready For Testing

Associated revisions

Revision e4338f1d - 03/26/2024 02:55 PM - Ewoud Kohl van Wijngaarden

Fixes #37298 - Drop foreman_setup plugin

This plugin is unmaintained and largely broken.

Revision 9d9f48f2 - 03/27/2024 06:03 AM - Ewoud Kohl van Wijngaarden

Refs #37298 - Add migrations to drop setup plugin

Fixes: e4338f1d7ea9 ("Fixes #37298 - Drop foreman_setup plugin")

History

#1 - 03/26/2024 12:11 PM - Ewoud Kohl van Wijngaarden

- Blocks Refactor #37212: Retire foreman_setup plugin added

#2 - 03/26/2024 12:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/926 added

#3 - 03/26/2024 02:55 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#4 - 03/26/2024 03:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|e4338f1d7ea939fd09e25be49c9767a1178d0665.

#5 - 03/26/2024 08:56 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/927 added
